/*******************************************************************************
* File Name: LFCLK_Out.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LFCLK_Out_H) /* Pins LFCLK_Out_H */
#define CY_PINS_LFCLK_Out_H

#include "cytypes.h"
#include "cyfitter.h"
#include "LFCLK_Out_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    LFCLK_Out_Write(uint8 value) ;
void    LFCLK_Out_SetDriveMode(uint8 mode) ;
uint8   LFCLK_Out_ReadDataReg(void) ;
uint8   LFCLK_Out_Read(void) ;
uint8   LFCLK_Out_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define LFCLK_Out_DRIVE_MODE_BITS        (3)
#define LFCLK_Out_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - LFCLK_Out_DRIVE_MODE_BITS))

#define LFCLK_Out_DM_ALG_HIZ         (0x00u)
#define LFCLK_Out_DM_DIG_HIZ         (0x01u)
#define LFCLK_Out_DM_RES_UP          (0x02u)
#define LFCLK_Out_DM_RES_DWN         (0x03u)
#define LFCLK_Out_DM_OD_LO           (0x04u)
#define LFCLK_Out_DM_OD_HI           (0x05u)
#define LFCLK_Out_DM_STRONG          (0x06u)
#define LFCLK_Out_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define LFCLK_Out_MASK               LFCLK_Out__MASK
#define LFCLK_Out_SHIFT              LFCLK_Out__SHIFT
#define LFCLK_Out_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define LFCLK_Out_PS                     (* (reg32 *) LFCLK_Out__PS)
/* Port Configuration */
#define LFCLK_Out_PC                     (* (reg32 *) LFCLK_Out__PC)
/* Data Register */
#define LFCLK_Out_DR                     (* (reg32 *) LFCLK_Out__DR)
/* Input Buffer Disable Override */
#define LFCLK_Out_INP_DIS                (* (reg32 *) LFCLK_Out__PC2)


#if defined(LFCLK_Out__INTSTAT)  /* Interrupt Registers */

    #define LFCLK_Out_INTSTAT                (* (reg32 *) LFCLK_Out__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define LFCLK_Out_DRIVE_MODE_SHIFT       (0x00u)
#define LFCLK_Out_DRIVE_MODE_MASK        (0x07u << LFCLK_Out_DRIVE_MODE_SHIFT)


#endif /* End Pins LFCLK_Out_H */


/* [] END OF FILE */
